Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# TextureArray

class TextureArray

  Returned by `Context.texture_array()`

  An Array Texture is a Texture where each mipmap level contains an array of images of the same size.

  Array textures may have Mipmaps, but each mipmap in the texture has the same number of levels.

  A TextureArray object cannot be instantiated directly, it requires a context. Use `Context.texture_array()` to create one.

## Methods

TextureArray.read()

TextureArray.read_into()

TextureArray.write()

TextureArray.bind_to_image()

TextureArray.build_mipmaps()

TextureArray.use()

TextureArray.release()

TextureArray.get_handle()

## Attributes

TextureArray.repeat_x

TextureArray.repeat_y

TextureArray.filter

TextureArray.swizzle

TextureArray.anisotropy

TextureArray.width

TextureArray.height

TextureArray.layers

TextureArray.size

TextureArray.dtype

TextureArray.components

TextureArray.ctx: Context

  The context this object belongs to

TextureArray.glo: int

  The internal OpenGL object. This values is provided for interoperability and debug purposes only.

TextureArray.extra: Any

  User defined data.